Bug 213558 - /usr/share/selinux/targeted is not owned by any package
Summary: /usr/share/selinux/targeted is not owned by any package
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-01 23:21 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.4.3-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-11 17:04:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2006-11-01 23:21:57 UTC
Description of problem:
/usr/share/selinux/targeted is not owned by any package

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.3.18-10

How reproducible:
$ rpm -qf /usr/share/selinux/targeted
file /usr/share/selinux/targeted is not owned by any package
$

Actual results:
/usr/share/selinux/targeted is not owned by any package

Expected results:
/usr/share/selinux/targeted owned by selinux-policy-targeted

Additional info:
The following patch should solve the problem:

--- selinux-policy.spec       2006-10-17 23:17:26.000000000 +0200
+++ selinux-policy.spec.rsc   2006-11-02 00:21:04.000000000 +0100
@@ -114,7 +114,7 @@

 %define fileList() \
 %defattr(-,root,root) \
-%{_usr}/share/selinux/%1/*.pp \
+%{_usr}/share/selinux/%1/ \
 %dir %{_sysconfdir}/selinux/%1 \
 %config(noreplace) %{_sysconfdir}/selinux/%1/setrans.conf \
 %ghost %{_sysconfdir}/selinux/%1/seusers \
@@ -138,8 +138,7 @@
 %ghost %{_sysconfdir}/selinux/%1/contexts/files/file_contexts \
 %ghost %{_sysconfdir}/selinux/%1/contexts/files/homedir_template \
 %ghost %{_sysconfdir}/selinux/%1/contexts/files/file_contexts.homedirs \
-%config %{_sysconfdir}/selinux/%1/contexts/files/media \
-%{_usr}/share/selinux/%1/include
+%config %{_sysconfdir}/selinux/%1/contexts/files/media

 %define saveFileContext() \
 if [ -s /etc/selinux/config ]; then \

Comment 1 Daniel Walsh 2006-11-06 19:01:42 UTC
Fixed in selinux-policy-2.4.3-1

Comment 2 Robert Scheck 2006-11-11 17:04:00 UTC
Verified in 2.4.3-8, closing now & thanks.


Note You need to log in before you can comment on or make changes to this bug.